## ferret-vis 6.9.3

=== Makefile ===
#
# Makefile for building ferret
#

#
# Site-specific defines, including the definition of BUILDTYPE
#
include site_specific.mk

.PHONY : all
all : optimized

.PHONY : optimized
optimized :
	mkdir -p lib
	$(MAKE) xgks/Makefile
	$(MAKE) -C xgks
	$(MAKE) -C fer
	$(MAKE) -C threddsBrowser
	$(MAKE) -C external_functions
	$(MAKE) -C gksm2ps
	$(MAKE) -C bin/build_fonts/unix

.PHONY : debug
debug :
	mkdir -p lib
	$(MAKE) xgks/Makefile
	$(MAKE) -C xgks
	$(MAKE) -C fer debug
	$(MAKE) -C threddsBrowser
	$(MAKE) -C external_functions debug
	$(MAKE) -C gksm2ps
	$(MAKE) -C bin/build_fonts/unix


## Configure xgks to create the Makefile if it does not exist
xgks/Makefile :
	( cd xgks; export BUILDTYPE=$(BUILDTYPE); ./configure )


## Clean all the directories
.PHONY : clean
clean :
	rm -fr fer_executables.tar.gz
	rm -fr fer_environment.tar.gz
	$(MAKE) -C bin/build_fonts/unix clean
	$(MAKE) -C gksm2ps clean
	$(MAKE) -C external_functions clean
	$(MAKE) -C threddsBrowser clean
	$(MAKE) -C fer clean
	rm -fr lib
	$(MAKE) xgksclean


## Thoroughly clean the xgks directory
.PHONY : xgksclean
xgksclean :
	$(MAKE) -C xgks clean
	$(MAKE) -C xgks distclean
	find xgks -name Makefile -exec rm -f {} \;
	rm -f xgks/port/master.mk
	rm -f xgks/port/udposix.h


## Install Ferret binaries, scripts, and other files into $(INSTALL_FER_DIR)
.PHONY : install
install : install_env install_exes

## Create the fer_environment.tar.gz files and then extract it into $(INSTALL_FER_DIR)
.PHONY :  install_env
install_env :
	rm -f fer_environment.tar.gz
	bin/make_environment_tar . . -y
	mkdir -p $(INSTALL_FER_DIR)
	mv -f fer_environment.tar.gz $(INSTALL_FER_DIR)
	( cd $(INSTALL_FER_DIR) ; tar xvzf fer_environment.tar.gz )

## Create the fer_executables.tar.gz files and then extract it into $(INSTALL_FER_DIR)
.PHONY : install_exes
install_exes :
	rm -f fer_executables.tar.gz
	bin/make_executable_tar . . -y
	mkdir -p $(INSTALL_FER_DIR)
	mv -f fer_executables.tar.gz $(INSTALL_FER_DIR)
	( cd $(INSTALL_FER_DIR) ; tar xvzf fer_executables.tar.gz )

##

=== fer/Makefile ===
#
# Makefile (for the FERRET/fer code)
#
# August 11 1997
# Jonathan Callahan (with some help from Joe Sirott)
#
# 10/97 *kob*  - pltform specific files will reside in ppl directory and be 
#		 links to actual files in fer directory
# 7/98 *kob* - reworking prior to source code distribution. add in 
#	       fmt are as well so one make command compiles/links all
# 7/99 *sh* - corrected misbehavior of make debug -- make update was not called
# 8/99 *acm* - Add EFUOBJS and ef_utility to DIRS and LIBS so to include 
#              External Functions utility functions in the executable.
#              (see note in ef_utility/Makefile: Don't put these in a library.)
# 12/99 *sh* - changed "debug" to "alpha" as DEBUG_TITLE
#  3/00 *acm* - Add efi library External Functions, internally linked
#  5/00 *kob* - Added a "make update" to all entries in order to properly
#	        update the date for each make.  this was also necessary when
#		compiling Ferret initially in order to create 
#	        special/xmake_date_data.F  and special/xrevision_type_data.F
#  v5.4 10/01*kob* - removed explicit reference to libXpm.a  - move it instead 
#                  to system specific SYS_LIBS macro in platform specific files
#  v5.4 10/01 *kob* - add the removal of .f files - for linux
#  v5.41 4/02 *acm* - Add -g flag for debug compiles of C code.  
# v5.54  8/04 *acm* - Add target "profiling", to compile with -pg option.
# v6.1 beta 3/06 *acm* - For Beta release to GFDL, add (beta) as DEBUG_TITLE
# v6.1 release 3/06 *acm* - Remove (beta) as DEBUG_TITLE for official release
#  v6.6 07/10 *kms* - added threddsBrowser to DIRS (for clean)
#                     created threddsBrowser target and added it to all
# v6.7 4/11 *kms* - renamed old "all" target to "build" and made the "all"
#                   target go to the desired default target ncdf4;
#                   cleaned-up tags
#  v6.8  7/13 *kms* - removed threddsBrowser (moved to top level since it is a separate app)

# 
# include platform specific macro definitions
#

include ../site_specific.mk
include ../platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

#*kob* 2/99 - set GUI_FAKES so that by default it is assumed no gui
#	      stuff is needed.  in order to allow the "make" command 
#	      by itself to work.

GUI_FAKES = special/gui_fakes.o

DIRS	= ccr ctx dat doo efi efn ef_utility fmt gnl ino mem  \
	ocn plt rpn special stk utl xeq

LIBS	= ccr ctx dat doo efi efn ef_utility fmt gnl ino mem \
	ocn plt rpn stk utl xeq

CLEANDIRS = $(DIRS)

DEPDIRS = ccr

FERLIBS = -lxeq -lgnl  -lccr -lferplt -lrpn -lstk -ldoo -locn \
	-lctx -lfmt -lino -lmem -lutl -ldat -lccr -lefi -lefn

PPLLIBS = -lplt -lpll -lsym -lcmp -lour -lepi -lusr -ltmap

FERMAIN = ccr/fermain_c.o ccr/gui_init.o

FEROBJS_DFLT = $(LINUX_OBJS) \
	special/ferret_dispatch.o special/xmake_date_data.o special/fakes3.o \
	special/ferret_query_f.o  special/xrevision_type_data.o \
	special/xplatform_type_data.o

FEROBJS = ccr/save_arg_pointers.o $(FEROBJS_DFLT)

PPLOBJS =  ../ppl/tmapadds/*.o 

EFUOBJS = ef_utility/*.o

EFIOBJS = efi/*.o

EXECNAME = ferret_c

WHATGKS = xgks

EF_CMNS = common/EF_Util.cmn common/EF_Util.parm common/EF_mem_subsc.cmn

#
# Targets
#

.PHONY: all
all: ncdf4

.PHONY: build
build: update fmt_libraries fer_libraries ppl_libraries special_code ferret

.PHONY: ncdf4
ncdf4:
	mkdir -p ../lib
	$(MAKE) "CFLAGS=$(CFLAGS) -O -DNDEBUG" \
		"FFLAGS=$(FFLAGS) -O -DNDEBUG" \
		"GUI_FAKES=special/gui_fakes.o" \
		build

# Dont seem to have all the static libraries we need for this.
.PHONY: ncdf4_static
ncdf4_static:
	mkdir -p ../lib
	$(MAKE) "CFLAGS=$(CFLAGS) -O -DNDEBUG" \
		"FFLAGS=$(FFLAGS) -O -DNDEBUG" \
		"LDFLAGS=$(LDFLAGS) -static" \
		"GUI_FAKES=special/gui_fakes.o" build

.PHONY: debug
debug:
	mkdir -p ../lib
	$(MAKE) "CFLAGS = $(CFLAGS) -O0 -g"  \
		"FFLAGS = $(FFLAGS) -O0 -g -fbounds-check" \
		"PPLUS_FFLAGS = $(PPLUS_FFLAGS) -O0 -g" \
		"DEBUG_TITLE = beta" \
		"GUI_FAKES=special/gui_fakes.o" build

.PHONY: ferret
ferret:	
	- mv $(EXECNAME) $(EXECNAME)_`ls -l $(EXECNAME) | awk '{print $$6"_"$$7}' | tr [A-Z] [a-z]`
	- $(LD) $(LDFLAGS) -L../lib \
		$(FERMAIN) \
		$(FEROBJS) \
		$(GUI_FAKES) \
		$(PPLOBJS) \
		$(EFUOBJS) \
		$(EFIOBJS) \
		$(FERLIBS) \
		$(PPLLIBS) \
		$(READLINELIB) \
		$(TERMCAPLIB) \
		$(CDFLIB) \
		$(HDFLIB) \
		$(GKSLIB) \
		$(SYSLIB) \
		-o $(EXECNAME)
	chmod +x $(EXECNAME)

.PHONY: update
update:
	- mv $(EXECNAME) $(EXECNAME)_`ls -l $(EXECNAME) | awk '{print $$6"_"$$7}' | tr [A-Z] [a-z]`
	${MAKE} update_date DATE=`/bin/date +%D`
	rm -f special/xrevision_type_data.[Ffo]
	sed -e 's&mmmmmmmm&($(DEBUG_TITLE)/$(GUI))&' -e 's&(/&(&' -e 's&/)&)&' < special/xrevision_type_data.template > special/xrevision_type_data.F 
	rm -f special/xplatform_type_data.[Ffo]
	sed -e 's&mmmmmmmm&$(PLATFORM)&' -e 's&(/&(&' -e 's&/)&)&' < special/xplatform_type_data.template > special/xplatform_type_data.F 
	(cd special; make)

.PHONY: update_date
update_date:
	rm -f special/xmake_date_data.[Ffo]
	sed "s&xxxxxxxx&$(DATE)&" <special/xmake_date_data.template >special/xmake_date_data.F

.PHONY: libraries
libraries: ppl_libraries fer_libraries

.PHONY: fmt_libraries
fmt_libraries:
	$(MAKE) -C ../fmt/src

.PHONY: fer_libraries
fer_libraries:
	for i in $(LIBS) ; \
        do \
            if ! $(MAKE) -C $$i ; then \
                exit 1 ; \
            fi ; \
        done

.PHONY: ppl_libraries
ppl_libraries:
	$(MAKE) -C ../ppl all

.PHONY: special_code
special_code:
	$(MAKE) -C special all

.PHONY: clean
clean: fmt_clean ppl_clean fer_clean 
	- mv $(EXECNAME) $(EXECNAME)_`ls -l $(EXECNAME) | awk '{print $$6"_"$$7}' | tr [A-Z] [a-z]`
	rm -f ../lib/*.a ../lib/*.so
	rm -f special/xmake_date_data.F special/xplatform_type_data.F special/xrevision_type_data.F

.PHONY: ppl_clean
ppl_clean:
	$(MAKE) -C ../ppl clean

.PHONY: fer_clean
fer_clean:
	for i in $(CLEANDIRS) ; \
        do \
            $(MAKE) -C $$i clean ; \
        done

.PHONY: fmt_clean
fmt_clean:
	$(MAKE) -C ../fmt/src clean

#
# End of Makefile
#

=== gksm2ps/Makefile ===
#
# Makefile for gksm2ps with xpreview *jd* 9.15.95
#
# Modified for CVS directory structure *jd* 3.26.99

include ../site_specific.mk

all:
	${MAKE} $(BUILDTYPE)

solaris8:	
	${MAKE} gksm2ps \
		CC=cc \
		CFLAGS="-I../xgks/port -I../xgks/src/lib -I/usr/openwin/share/include -I../xgks/src/lib/gksm" \
		LDFLAGS="-z muldefs" \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-lnsl -L/usr/openwin/lib -lX11 -lm"
solaris10:	
	${MAKE} gksm2ps \
		CC=cc \
		CFLAGS="-I../xgks/port -I../xgks/src/lib -I/usr/openwin/share/include -I../xgks/src/lib/gksm" \
		LDFLAGS="-z muldefs" \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-lnsl -L/usr/openwin/lib -lX11 -lm"

i386-linux:	
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-m32 -I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm" \
		LDFLAGS= \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-lX11 -lm"

i386-apple-darwin:
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-I../xgks/port -I../xgks/src/lib -I/usr/openwin/share/include -I../xgks/src/lib/gksm" \
		LDFLAGS= \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-L/usr/X11R6/lib -lX11 -lm"

i486-linux:	
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-m32 -I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm" \
		LDFLAGS= \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-lX11 -lm"

i586:
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-I/usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/include/ 
			  -I/usr/include \
			  -I/usr/include/X11 \
			  -I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm" \
		LDFLAGS= \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-L/usr/X11R6.4/lib -lX11 -lm"

x86_64-linux:	
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-m64 -I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm" \
		LDFLAGS= \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-lX11 -lm"

x86_64-linux-gnu:	
	${MAKE} gksm2ps \
		CC=gcc \
		CFLAGS="-m64 -I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm" \
		LDFLAGS= \
		GKLIB="../xgks/src/lib/libxgks.a" \
		LIB="-lX11 -lm"

gksm2ps:
	$(CC) $(CFLAGS) $(LDFLAGS) -o gksm2ps gksm2ps.c xpreview.c \
	 resize_xgks_window.c set_background.c gksm.c batch_graphics.c \
	../ppl/tmapadds/ws_line_bundle.o \
	../ppl/tmapadds/restore_saved_line_colors.o \
	../ppl/tmapadds/query_xgks_wkstn.o \
	$(GKLIB) $(LIB)
	chmod +x gksm2ps

clean:
	rm -f *.o gksm2ps

=== ppl/Makefile ===
#
# include platform specific definitions of:
#       CC, FC, RANLIB, CFLAGS, FFLAGS, PPLUS_FFLAGS
#

include ../site_specific.mk
include ../platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

DIRS	= tmapadds complot ourlib plot \
	plotlib pplepic pplusr symlib

LIBS	= complot ourlib plot plotlib pplepic \
	pplusr symlib

# change the standard rules for .F -> .o builds so $(PPLUS_FFLAGS) is used

#%.o : %.F
#	rm -f $*.f
#	$(CPP) -P -traditional $(CPP_FLAGS) $(<F) | sed -e 's/de    /de /g' | sed -e 's/de         /de /g' > $*.f
#	$(F77) $(PPLUS_FFLAGS) -c $*.f	 

# Directly compile the .F source files to the .o object files
# since gfortran can handle the C compiler directives in Fortran code
%.o : %.F
	$(FC) $(PPLUS_FFLAGS) -c $*.F -o $*.o


#
# Targets
#

all:
	for i in $(DIRS) ; \
        do \
            if ! $(MAKE) -C $$i ; then \
                exit 1 ; \
            fi ; \
        done


libraries:
	for i in $(LIBS) ; \
        do \
            if ! $(MAKE) -C $$i ; then \
                exit 1 ; \
            fi ; \
        done


clean:
	for i in $(DIRS) ; \
        do \
            $(MAKE) -C $$i clean ; \
        done

#
# End of Makefile
#

=== threddsBrowser/Makefile ===
#
# Makefile for creating threddsBrowser.jar
#
# JAVA_HOME must be defined as the location of a Java Development Kit
# Also the TOOLSUI_JAR file define below must exist
#

TOOLSUI_JAR = toolsUI/toolsUI-4.1.jar

JAVA_SOURCE_FILES = $(wildcard src/gov/noaa/pmel/ferret/threddsBrowser/*.java)

.PHONY : all
all : threddsBrowser.jar

.PHONY : clean
clean : 
	rm -fr threddsBrowser.jar bin

threddsBrowser.jar : $(JAVA_SOURCE_FILES) Makefile
	rm -fr threddsBrowser.jar bin
	mkdir bin
ifdef JAVA_HOME
	$(JAVA_HOME)/bin/javac -sourcepath src -classpath bin:$(TOOLSUI_JAR) -d bin $(JAVA_SOURCE_FILES)
	$(JAVA_HOME)/bin/jar cf threddsBrowser.jar -C bin gov/noaa/pmel/ferret/threddsBrowser
else
	javac -sourcepath src -classpath bin:$(TOOLSUI_JAR) -d bin $(JAVA_SOURCE_FILES)
	jar cf threddsBrowser.jar -C bin gov/noaa/pmel/ferret/threddsBrowser
endif

=== external_functions/contributed/Makefile ===
#
# Makefile for Ferret External Functions
#
# January 20 1998
# Jonathan Callahan
#
#  15-Nov-1999 Ansley Manke  
#  remove refs to ef_utility/*.o  (now in ferret executable)
# *sh* 2/2000 - removed SAMPLEIJ from target list (replaced by SAMPLEXY)
#
# *acm* 1/2001 - incorporate "make debug" as per SH Makefiles
#  acm  2/2001   debug macros
#  acm  5/2007   removed fill_xy from target list; now statically-linked.
#
# include platform specific macro definitions
#

include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

.SUFFIXES: .so

#
# Rules
#

.F.so:
	$(F77) $(FFLAGS) -c $<
	$(LD) $(LD_DYN_FLAGS) $(SYSLIBS) $*.o -o $*.so

#
# Targets
#

#all:    chdir.so neutral.so fill_xy.so pco2.so
#all:    chdir.so neutral.so fill_xy.so
all:	

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) $(FFLAGS_DEBUG)" "CFLAGS = $(CFLAGS) $(CFLAGS_DEBUG)" all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== external_functions/eof/Makefile ===
#
# Makefile for Ferret External Functions
#
# January 20 1998
# Jonathan Callahan
#
#  15-Nov-1999 Ansley Manke  
#  remove refs to ef_utility/*.o  (now in ferret executable)
#
#  ACM  2/2001  debug macros
#  ACM  Jul 2001 Move to statically linked code in fer/efi.  name functions
#                eofspace, eofstat, eoftfunc; with same code as in fer/efi,
#                but with different INCLUDE statements for use in testing
#                as dynamically-linked functions.
#
# include platform specific macro definitions
#

include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

.SUFFIXES: .so

SUB_OBJS = eofsubs.o 

#
# Rules
#

#   once eof_space etc are linked into Ferret dont need SUB_OBJS

.F.so:
	$(F77) $(FFLAGS) -c $<
	$(LD) $(LD_DYN_FLAGS) $*.o -o $*.so 

#
# Targets
#

all:	eofsubs.o eof_space_tgap.so eof_tfunc_tgap.so eof_stat_tgap.so

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) $(FFLAGS_DEBUG)" "CFLAGS = $(CFLAGS) $(CFLAGS_DEBUG)" all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

# To make a tarfile with the older functions that work on gappy timeseries:
# make; make tarfile
tarfile:
	rm -f fer_eof_gappy_timeseries_fcns.tar*
	tar cf fer_eof_gappy_timeseries_fcns.tar *.so
	gzip -9 fer_eof_gappy_timeseries_fcns.tar

#
# End of Makefile
#

=== external_functions/fft/Makefile ===
#
# Makefile for Ferret External Functions
#
# January 20 1998
# Jonathan Callahan
# Ansley Manke: compile subroutines separately w/ fewer flags. 
#
#  15-Nov-1999 Ansley Manke  
#  remove refs to ef_utility/*.o  (now in ferret executable)
#
# 2/2001  debug macros
# 1/2002  need $(F77) in .F.so rule
#         and compile ffta_sample, fftp_sample functions
# 7/2012  Do not need a special platform_specific file.
#
# include platform specific macro definitions
#

include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

.SUFFIXES: .so

SUB_OBJS = fftinv_subs.o

#
# Rules
#

.F.so:
	$(F77)  $(FFLAGS)  -c $<
	$(LD) $(LD_DYN_FLAGS) $(SUB_OBJS) $*.o -o $*.so 

#
# Targets
#

# all:	fftinv_subs.o fftsubs.o ffta.so fftp.so fft_amp.so fft_phas.so ffta_sample.so

all:	fftinv_subs.o fftsubs.o fft_amp.so fft_phas.so ffta_sample.so

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) $(FFLAGS_DEBUG)" "CFLAGS = $(CFLAGS) $(CFLAGS_DEBUG)" all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== external_functions/godae_obs/Makefile ===
#
# Makefile for Ferret External Functions
#
# January 20 1998
# Jonathan Callahan
#
# dec-00 adapted for "godae_obs" function
# ACM 2/2001

#
# include platform specific macro definitions
#

include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

.SUFFIXES: .so

GOB_OBJS = ocn_obs.o

#
# Rules
#

.c.so:
	$(CC) $(GOBFLAGS) $(CFLAGS) -c $<
	$(LD) $(LD_DYN_FLAGS) $(GOB_OBJS) $*.o -o $*.so 

.F.so:
	$(F77) $(FFLAGS) -c $<
	$(LD) $(LD_DYN_FLAGS) $(GOB_OBJS) $*.o -o $*.so 

#
# Targets
#

all:	ocn_obs.o godae_obs.o godae_obs.so

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) $(FFLAGS_DEBUG)" "CFLAGS = $(CFLAGS) $(CFLAGS_DEBUG)" all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== external_functions/gridding/Makefile ===
#
# Makefile for Ferret External Functions
#
# January 20 1998
# Jonathan Callahan
#
#  15-Nov-1999 Ansley Manke  
#  remove refs to ef_utility/*.o  (now in ferret executable)
#
# ACM 2/2001  debug macros
#
#  include platform specific macro definitions
#

include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

.SUFFIXES: .so
#SUB_OBJS = nobs.o
SUB_OBJS = modscatminmax.o nobsxytv.o scat2grid_subs_mask.o
#SUB_OBJS = scat2grid_subs.o

#
# Rules
#

.F.so:
	$(F77) $(FFLAGS) -c  $<
	$(LD) $(LD_DYN_FLAGS) $(SUB_OBJS) $(SYSLIBS) $*.o -o $*.so
 
.c.o:
	$(CC) $(CFLAGS) -c $<

.F.o:
	$(F77) $(FFLAGS) -c  $<

#
# Targets
#
#all:    scatter2gridgauss_xy.so scatter2gridgauss_xz.so scatter2gridgauss_yz.so scatter2gridlaplace_xy.so scatter2gridlaplace_xz.so scatter2gridlaplace_yz.so 

# all:    ave_scat2grid_t.so scat2grid_t.so
# all:    nobs.o index_to_grid.so scatgrid_nobs_xy.so scatgrid_nobs_xz.so scatgrid_nobs_xt.so scatgrid_nobs_yz.so scatgrid_nobs_yt.so scatgrid_nobs_zt.so scat2grid_bin_xy.so scat2grid_nobs_xt.so scat2grid_nobs_xz.so scat2grid_nobs_yt.so scat2grid_nobs_yz.so scat2grid_nobs_zt.so

all:	$(SUB_OBJS) tracks2grid_std_xyt.so tracks2grid_ave_xyt.so scat2grid_std_xyt.so \
	scat2grid_minmax_xyt.so scat2grid_mask_bin_xyt.so scat2grid_mask_minmax_xyt.so \
	scat2grid_mask_nbin_xyt.so scat2grid_mask_std_xyt.so tracks2grid_mask_ave_xyt.so 

#all:	$(SUB_OBJS) index_to_grid.so scat2grid_nobs_xy.so

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) -g -Ddebug" "CFLAGS = $(CFLAGS) -g -Ddebug"  all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== external_functions/las/Makefile ===
#
# Makefile for Ferret External Functions
#
# January 20 1998
# Jonathan Callahan
#
#  15-Nov-1999 Ansley Manke  
#  remove refs to ef_utility/*.o  (now in ferret executable)
#
#  ACM 2/2001  debug macros 
#  ACM 2/2002  change targets to all and extras; somehow standard
#               not working well w/ linux.
#
# include platform specific macro definitions
#

include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

.SUFFIXES: .so

#
# Rules
#

.F.so:
	$(F77) $(FFLAGS) -c $<
	$(LD) $(LD_DYN_FLAGS) $*.o -o $*.so 

.c.o:
	$(CC) $(CFLAGS) -c $<

.F.o:
	$(F77) $(FFLAGS) -c $<

#
# Targets
#

#all:	write_webrow.so write_webrow_gwt.so list_value_xml.so
all:	write_webrow_gwt.so

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) $(FFLAGS_DEBUG)" "CFLAGS = $(CFLAGS) $(CFLAGS_DEBUG)" all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== external_functions/ncedit/Makefile ===
#
# Makefile for Ferret External Functions
#
# January 20 1998
# Jonathan Callahan
#
#  15-Nov-1999 Ansley Manke  
#  remove refs to ef_utility/*.o  (now in ferret executable)
#
#  ACM 2/2001  debug macros 
#  ACM 2/2002  change targets to all and extras; somehow standard
#               not working well w/ linux.
#
# include platform specific macro definitions
#

include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

.SUFFIXES: .so

#
# Rules
#

.F.so:
	$(F77) $(FFLAGS) -c $<
	$(LD) $(LD_DYN_FLAGS) $*.o -o $*.so 

.F.o:
	$(F77) $(FFLAGS) -c $<

#
# Targets
#

all:	nco.so nco_attr.so 

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) $(FFLAGS_DEBUG)" "CFLAGS = $(CFLAGS) $(CFLAGS_DEBUG)" all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== debian/changelog ===
ferret-vis (6.9.3-4build1) xenial; urgency=medium

  * No-change rebuild for netcdf transition.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 22:07:21 +0000

ferret-vis (6.9.3-4) unstable; urgency=medium

  * Move to openjdk-8-jdk.
  * Fix FTBFS on binary-only build. Closes: #806024

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Nov 2015 19:53:21 +0000

ferret-vis (6.9.3-3) unstable; urgency=medium

  * Acknowledge NMUs, thanks.
  * Change Vcs-Git to anonscm.d.o form.
  * Patch for reproducible builds from Chris Lamb. Closes: #797579. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Sep 2015 06:03:33 +0100

ferret-vis (6.9.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop trailing comma from description synopsis. (closes: #720106)
  * Drop unused libmotif-dev build dependency. (closes: #714752)
  * Move from experimental to unstable for netcdf transition.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 23 Aug 2015 15:36:45 +0200

ferret-vis (6.9.3-2~exp1) experimental; urgency=medium

  * Build against libnetcdff-dev for netcdf transition.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 24 Jun 2015 16:38:52 +0100

ferret-vis (6.9.3-1) unstable; urgency=medium

  * New upstream release
  * Add Vcs-Git: to debian/control, debian-science repo.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Jun 2015 07:44:11 +0100

=== debian/control ===
Source: ferret-vis
Section: utils
Priority: extra
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), libreadline-dev, 
 libcurl4-openssl-dev | libcurl-dev, libxgks-dev, 
 libncurses-dev, gfortran, libnetcdf-dev, libnetcdff-dev,
 libxmu-headers, csh, libxpm-dev, libxt-dev, 
 java-common, openjdk-8-jdk
Standards-Version: 3.9.6
Homepage: http://www.ferret.noaa.gov/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ferret-vis.git

Package: ferret-vis
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},  tcsh | csh | c-shell
Recommends: ferret-datasets
Description: Interactive data visualization and analysis environment
 Ferret is an interactive computer visualization and analysis environment
 designed to meet the needs of oceanographers and meteorologists analyzing 
 large and complex gridded data sets. It can transparently access extensive
 remote Internet data bases using OPeNDAP (formerly known as DODS)
 .
 Ferret has a Mathematica-like flexibility, geophysical formatting, 
 "intelligent" connection to its data base, memory management for very large 
 calculations, and symmetrical processing in 4 dimensions. It can work on both
 gridded and non-gridded datasets.

Package: ferret-datasets
Architecture: all
Depends: ferret-vis, ${misc:Depends}
Description: Datasets for use with Ferret Visualisation and analysis suite
 These datasets contain reference climatologies and grids for use with ferret.
 They include:
  * etopo120            relief of the earth's surface at 120-minute resolution
  * etopo60             relief of the earth's surface at 60-minute resolution
  * levitus_climatology subset of the Climatological Atlas of the World Oceans 
                        by Sydney Levitus (Note: the updated World Ocean Atlas,
                        1994, is also available with Ferret)
  * coads_climatology   12-month climatology derived from 1946–1989 of the 
                        Comprehensive Ocean/Atmosphere Data Set
  * monthly_navy_winds  monthly-averaged Naval Fleet Numerical Oceanography 
                        Center global marine winds (1982–1990)
  * esku_heat_budget    Esbensen-Kushnir 4×5 degree monthly climatology of the
                        global ocean heat budget (25 variables)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# magic debhelper rule
%:
	dh $@

FER_EXT:=$(CURDIR)/debian/ferret-vis/usr/lib/ferret-vis/external_functions
ARCH:=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/${ARCH}
INSTALLDIR:=$(CURDIR)/debian/tmp

override_dh_auto_build:
	sed -e 's%@ARCH@%${ARCH}%' \
		-e 's%@LIBDIR@%${LIBDIR}%' \
		-e 's%@INSTALLDIR@%${INSTALLDIR}%' \
		< debian/site_specific.mk.in > site_specific.mk
	cp debian/platform_specific.mk.debian .
	cp site_specific.mk platform_specific.mk.debian  external_functions/ef_utility
	$(MAKE) -C fer HOSTTYPE=debian update all
	-$(MAKE) -C external_functions HOSTTYPE=debian
	$(MAKE) -C gksm2ps debian
	$(MAKE) -C threddsBrowser

override_dh_install:
	dh_installdirs
	mkdir -p  $(FER_EXT)
	-$(MAKE) -C external_functions install HOSTTYPE=debian \
		FER_LOCAL_EXTFCNS=$(FER_EXT) FER_DIR=$(CURDIR)/debian/tmp
	dh_install
	# Drop extension (allow to fail on binary-only build)
	-mv debian/ferret-vis/usr/bin/Fpatch.csh debian/ferret-vis/usr/bin/Fpatch

override_dh_test:
	(cd bench && ./run_all )

override_dh_auto_clean:
	# use system xpm.h, not supplied ones
	rm -f fer/gui/xpm*.h
	find . -type l  -exec rm {} \;
	find . -name '*.o' -exec rm {} \;
	find . -name '*.so' -exec rm {} \;
	find external_functions -type l -exec rm {} \;
	[ ! -f gksm2ps/Makefile ] || $(MAKE) -C gksm2ps clean
	[ ! -f fer/platform_specific_flags.mk.debian ]  || $(MAKE) -C fer clean HOSTTYPE=debian 
	rm -rf lib gksm2ps/gksm2ps fer/ferret_c*

## ferret-vis 7.0

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,17 @@
 	$(MAKE) xgks/Makefile
 	$(MAKE) -C xgks
 	$(MAKE) -C fer
+	$(MAKE) -C threddsBrowser
+	$(MAKE) -C external_functions
+	$(MAKE) -C gksm2ps
+	$(MAKE) -C bin/build_fonts/unix
+
+.PHONY : beta
+beta :
+	mkdir -p lib
+	$(MAKE) xgks/Makefile
+	$(MAKE) -C xgks
+	$(MAKE) -C fer beta
 	$(MAKE) -C threddsBrowser
 	$(MAKE) -C external_functions
 	$(MAKE) -C gksm2ps
@@ -43,6 +54,7 @@
 clean :
 	rm -fr fer_executables.tar.gz
 	rm -fr fer_environment.tar.gz
+	$(MAKE) -C bench clean
 	$(MAKE) -C bin/build_fonts/unix clean
 	$(MAKE) -C gksm2ps clean
 	$(MAKE) -C external_functions clean
@@ -73,7 +85,7 @@
 	bin/make_environment_tar . . -y
 	mkdir -p $(INSTALL_FER_DIR)
 	mv -f fer_environment.tar.gz $(INSTALL_FER_DIR)
-	( cd $(INSTALL_FER_DIR) ; tar xvzf fer_environment.tar.gz )
+	( cd $(INSTALL_FER_DIR) ; tar xzf fer_environment.tar.gz )
 
 ## Create the fer_executables.tar.gz files and then extract it into $(INSTALL_FER_DIR)
 .PHONY : install_exes
@@ -82,6 +94,11 @@
 	bin/make_executable_tar . . -y
 	mkdir -p $(INSTALL_FER_DIR)
 	mv -f fer_executables.tar.gz $(INSTALL_FER_DIR)
-	( cd $(INSTALL_FER_DIR) ; tar xvzf fer_executables.tar.gz )
+	( cd $(INSTALL_FER_DIR) ; tar xzf fer_executables.tar.gz )
+
+## Execute the RUN_TESTS.sh tests
+.PHONY : run_tests
+run_tests :
+	$(MAKE) -C bench run_tests
 
 ##

=== bench/Makefile ===
#
# Makefile for the FERRET/bench directory
#

# include platform specific macro definitions for make_stream_file
include ../site_specific.mk
include ../platform_specific.mk.$(BUILDTYPE)

## Execute the RUN_TESTS.sh test suite
.PHONY: run_tests
run_tests:
	@if [ `which ferret` = "" -o "$(FER_DIR)" = "" ]; then \
	    echo "*** Ferret must be installed and the ferret_paths script must have sourced for these tests ***" ; \
	    exit 1 ; \
	fi
	./RUN_TESTS.sh `which ferret` "$(FER_EXTERNAL_FUNCTIONS)" "RUN_TESTS.sh test results for Ferret"
	@echo 'Differences in the generated bench/*.gif files versus against those in bench/test_results'
	-@for img in *.gif ; \
	do \
	    diff -q $$img test_results/$$img ; \
	done
	@echo ''
	@echo 'Inspect the bench/all_*_ncdump, bench/all_*_err, and bench/all_*_log files just created '
	@echo 'against bench/test_results/ferret_run_tests_ncdump, bench/test_results/ferret_run_test_err, '
	@echo 'and bench/test_results/ferret_run_tests_log'

.PHONY: clean
clean:
	rm -f all_*_ncdump all_*_err all_*_log
	rm -f *.plt* *.gif* *.ps* *.png* *.pdf* ferret.jnl*
	rm -f `cat TRASH_FILES`
	rm -f all_ncdump.out fort.41 make_stream_file
	rm -fr subdir tmp

make_stream_file: make_stream_file.F
	$(FC) $(FFLAGS) make_stream_file.F -o make_stream_file

#
# End of Makefile
#

=== fer/Makefile ===
--- 
+++ 
@@ -31,7 +31,8 @@
 #                   target go to the desired default target ncdf4;
 #                   cleaned-up tags
 #  v6.8  7/13 *kms* - removed threddsBrowser (moved to top level since it is a separate app)
-
+#  v6.97 2/16 *acm* - restore "profiling" target
+#  V698  3/16 *acm* Removed Philander-Seigel code including ocn/ directory
 # 
 # include platform specific macro definitions
 #
@@ -50,16 +51,16 @@
 GUI_FAKES = special/gui_fakes.o
 
 DIRS	= ccr ctx dat doo efi efn ef_utility fmt gnl ino mem  \
-	ocn plt rpn special stk utl xeq
+	 plt rpn special stk utl xeq
 
 LIBS	= ccr ctx dat doo efi efn ef_utility fmt gnl ino mem \
-	ocn plt rpn stk utl xeq
+	 plt rpn stk utl xeq
 
 CLEANDIRS = $(DIRS)
 
 DEPDIRS = ccr
 
-FERLIBS = -lxeq -lgnl  -lccr -lferplt -lrpn -lstk -ldoo -locn \
+FERLIBS = -lxeq -lgnl  -lccr -lferplt -lrpn -lstk -ldoo  \
 	-lctx -lfmt -lino -lmem -lutl -ldat -lccr -lefi -lefn
 
 PPLLIBS = -lplt -lpll -lsym -lcmp -lour -lepi -lusr -ltmap
@@ -98,27 +99,41 @@
 .PHONY: ncdf4
 ncdf4:
 	mkdir -p ../lib
-	$(MAKE) "CFLAGS=$(CFLAGS) -O -DNDEBUG" \
-		"FFLAGS=$(FFLAGS) -O -DNDEBUG" \
+	$(MAKE) "CFLAGS=$(CFLAGS) $(OPT_FLAGS)" \
+		"FFLAGS=$(FFLAGS) $(OPT_FLAGS)" \
+		"PPLUS_FFLAGS = $(PPLUS_FFLAGS) $(PPLUS_OPT_FLAGS)" \
+		"DEBUG_TITLE = optimized" \
 		"GUI_FAKES=special/gui_fakes.o" \
 		build
 
-# Dont seem to have all the static libraries we need for this.
-.PHONY: ncdf4_static
-ncdf4_static:
-	mkdir -p ../lib
-	$(MAKE) "CFLAGS=$(CFLAGS) -O -DNDEBUG" \
-		"FFLAGS=$(FFLAGS) -O -DNDEBUG" \
-		"LDFLAGS=$(LDFLAGS) -static" \
-		"GUI_FAKES=special/gui_fakes.o" build
+.PHONY: beta
+beta:
+	mkdir -p ../lib
+	$(MAKE) "CFLAGS=$(CFLAGS) $(OPT_FLAGS)" \
+		"FFLAGS=$(FFLAGS) $(OPT_FLAGS)" \
+		"PPLUS_FFLAGS = $(PPLUS_FFLAGS) $(PPLUS_OPT_FLAGS)" \
+		"DEBUG_TITLE = beta/optim" \
+		"GUI_FAKES=special/gui_fakes.o" \
+		build
 
 .PHONY: debug
 debug:
 	mkdir -p ../lib
-	$(MAKE) "CFLAGS = $(CFLAGS) -O0 -g"  \
-		"FFLAGS = $(FFLAGS) -O0 -g -fbounds-check" \
-		"PPLUS_FFLAGS = $(PPLUS_FFLAGS) -O0 -g" \
-		"DEBUG_TITLE = beta" \
+	$(MAKE) "CFLAGS = $(CFLAGS) $(DBG_FLAGS)"  \
+		"FFLAGS = $(FFLAGS) $(DBG_FLAGS) -fbounds-check" \
+		"PPLUS_FFLAGS = $(PPLUS_FFLAGS) $(DBG_FLAGS)" \
+		"DEBUG_TITLE = beta/debug" \
+		"GUI_FAKES=special/gui_fakes.o" \
+		build
+
+.PHONY: profiling
+profiling:
+	mkdir -p ../lib
+	$(MAKE) "CFLAGS = $(CFLAGS) $(PROF_FLAGS) "  \
+		"FFLAGS = $(FFLAGS) $(PROF_FLAGS) -fbounds-check" \
+		"PPLUS_FFLAGS = $(PPLUS_FFLAGS) $(PROF_FLAGS)" \
+		"LDFLAGS = $(LDFLAGS) $(PROF_FLAGS)" \
+		"DEBUG_TITLE = profiling" \
 		"GUI_FAKES=special/gui_fakes.o" build
 
 .PHONY: ferret

=== gksm2ps/Makefile ===
--- 
+++ 
@@ -58,6 +58,14 @@
 		GKLIB="../xgks/src/lib/libxgks.a" \
 		LIB="-L/usr/X11R6.4/lib -lX11 -lm"
 
+intel-mac:
+	${MAKE} gksm2ps \
+		CC=gcc \
+		CFLAGS="-I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm -I/usr/X11R6/include" \
+		LDFLAGS= \
+		GKLIB="../xgks/src/lib/libxgks.a" \
+		LIB="-L/usr/X11R6/lib -lX11 -lm"
+
 x86_64-linux:	
 	${MAKE} gksm2ps \
 		CC=gcc \

=== threddsBrowser/Makefile ===
#
# Makefile for creating threddsBrowser.jar
#

#
# Include ../site_specific.mk for the possible definition of JAVA_HOME
#
include ../site_specific.mk

TOOLSUI_JAR = toolsUI/toolsUI-4.1.jar

JAVA_SOURCE_FILES = $(wildcard src/gov/noaa/pmel/ferret/threddsBrowser/*.java)

.PHONY : all
all : threddsBrowser.jar

.PHONY : clean
clean : 
	rm -fr threddsBrowser.jar bin

threddsBrowser.jar : $(JAVA_SOURCE_FILES) Makefile
	rm -fr threddsBrowser.jar bin
	mkdir bin
ifdef JAVA_HOME
	$(JAVA_HOME)/bin/javac -sourcepath src -classpath bin:$(TOOLSUI_JAR) -d bin $(JAVA_SOURCE_FILES)
	$(JAVA_HOME)/bin/jar cf threddsBrowser.jar -C bin gov/noaa/pmel/ferret/threddsBrowser
else
	echo "JAVA_HOME not defined; building of threddsBrowser.jar skipped"
endif

=== external_functions/cmprsi_by/Makefile ===
#
# Makefile for Ferret External Functions
#
# *sh* 12/27/00
# *sh* 1/02 -- updated to add expndi_by
# *sh* 2/02 -- updated to add expndi_by_z
# *acm*2/02 -- cmprsi_by has been replaced by family of compress_by 
#              functions, which are internally linked.
# acm* 4/13 -- new expndi_by_m_counts
#
#
# include platform specific macro definitions
#

include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

.SUFFIXES: .so

#
# Rules
#

.F.so:
	$(F77) $(FFLAGS) -c $<
	$(LD) $(LD_DYN_FLAGS) $(SYSLIBS) $*.o -o $*.so

#
# Targets
#

# all:	expndi_by.so expndi_by_z.so expndi_by_t.so cmprsi_by.so expndi_by_z_counts.so 
all:	expndi_by_m_counts.so 

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) $(FFLAGS_DEBUG)" "CFLAGS = $(CFLAGS) $(CFLAGS_DEBUG)" all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== external_functions/convolve/Makefile ===
#
# Makefile for Ferret External Functions
#
# January 20 1998
# Jonathan Callahan
#
# *acm* 1/2001 - add "make debug" target as per SH Makefiles
#  ACM  2/2001    use debug macros
#
# include platform specific macro definitions
#

include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)

#
# Macros
#

.SUFFIXES: .so

#
# Rules
#

.F.so:
	$(F77) $(FFLAGS) -c $<
	$(LD) $(LD_DYN_FLAGS) $(SYSLIBS) $*.o -o $*.so

#
# Targets
#

# all:	convolvei.so convolvej.so convolvek.so convolvel.so 
all:

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) $(FFLAGS_DEBUG)" "CFLAGS = $(CFLAGS) $(CFLAGS_DEBUG)" all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== external_functions/examples/Makefile ===
#
# Makefile for Ferret External Functions
#
# January 20 1998
# Jonathan Callahan
#
#  15-Nov-1999 Ansley Manke  
#  remove refs to ef_utility/*.o  (now in ferret executable)
#
#  ACM 2/2001  debug macros 
#  ACM 2/2002  change targets to all and extras; somehow standard
#               not working well w/ linux.
#
# include platform specific macro definitions
#
include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)
 
#
# Macros
#

.SUFFIXES: .so

#
# Rules
#

.F.so:
	$(F77) $(FFLAGS) -c  $<
	$(LD) $(LD_DYN_FLAGS) $(SYSLIBS) $*.o -o $*.so

#
# Targets
#

all:	add_9.so appende.so avet.so dates.so factorial.so pass_thru.so percent_good_t.so \
	storage.so string_arg.so subtract.so 
debug:
	$(MAKE) "FFLAGS = $(FFLAGS) -g -Ddebug" "CFLAGS = $(CFLAGS) -g -Ddebug"  all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== external_functions/hinterp/Makefile ===
#
# Makefile for Ferret External Functions
#
# January 20 1998
# Jonathan Callahan
#
#  15-Nov-1999 Ansley Manke  
#  remove refs to ef_utility/*.o  (now in ferret executable)
#
#  ACM 2/2001  debug macros 
#  ACM 2/2002  change targets to all and extras; somehow standard
#               not working well w/ linux.
#
# include platform specific macro definitions
#

include ../ef_utility/site_specific.mk
include ../ef_utility/platform_specific.mk.$(BUILDTYPE)
 
#
# Macros
#

.SUFFIXES: .so

#
# Rules
#

.F.so:
	$(F77) $(FFLAGS) -c $<
	$(LD) $(LD_DYN_FLAGS) $*.o -o $*.so 

.c.o:
	$(CC) $(CFLAGS) -c $<

.F.o:
	$(F77) $(FFLAGS) -c $<

#
# Targets
#

# all:	rect_to_curv.so curv_to_rect_map.so curv_to_rect.so curv_range.so
all:	curv_to_rect_fsu.so 

debug:
	$(MAKE) "FFLAGS = $(FFLAGS) $(FFLAGS_DEBUG)" "CFLAGS = $(CFLAGS) $(CFLAGS_DEBUG)" all

install:
	cp *.so $(FER_LOCAL_EXTFCNS)

clean:
	-rm -f *.o *.so

#
# End of Makefile
#

=== debian/changelog ===
ferret-vis (7.0-2) unstable; urgency=medium

  * Add desktop file, pixmap to applications, pixmaps dirs

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Dec 2016 09:51:01 +0000

ferret-vis (7.0-1) unstable; urgency=medium

  * New upstream release
  * ferret-vis recommends python-ferret, python3-ferret

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Aug 2016 03:13:14 +0100

ferret-vis (6.9.6-2) unstable; urgency=medium

  * Use default-java rather than hard-coded path. CLoses: #832292

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 23 Jul 2016 01:41:57 +0100

ferret-vis (6.9.6-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 3.9.8. No changes required.
  * Set LC_ALL=C for reproducibility
  * Depend on xgks >= 2.6.1-4 as this now includes some fixes from ferret
    6.9.6

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jul 2016 20:33:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: extra
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 9), libreadline-dev, 
- libcurl4-openssl-dev | libcurl-dev, libxgks-dev, 
+ libcurl4-openssl-dev | libcurl-dev, 
+ libxgks-dev (>= 2.6.1+dfsg.2-4) , 
  libncurses-dev, gfortran, libnetcdf-dev, libnetcdff-dev,
  libxmu-headers, csh, libxpm-dev, libxt-dev, 
- java-common, openjdk-8-jdk
-Standards-Version: 3.9.6
+ java-common, default-jdk-headless
+Standards-Version: 3.9.8
 Homepage: http://www.ferret.noaa.gov/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/ferret-vis.git
 
 Package: ferret-vis
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},  tcsh | csh | c-shell
-Recommends: ferret-datasets
+Recommends: ferret-datasets, python-ferret, python3-ferret
 Description: Interactive data visualization and analysis environment
  Ferret is an interactive computer visualization and analysis environment
  designed to meet the needs of oceanographers and meteorologists analyzing

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
+
+# Set for reproducibility
+LC_ALL=C
+export LC_ALL
 
 # magic debhelper rule
 %:
@@ -39,9 +43,9 @@
 override_dh_auto_clean:
 	# use system xpm.h, not supplied ones
 	rm -f fer/gui/xpm*.h
-	find . -type l  -exec rm {} \;
-	find . -name '*.o' -exec rm {} \;
-	find . -name '*.so' -exec rm {} \;
+	find . -type l  -delete
+	find . -name '*.o' -delete
+	find . -name '*.so' -delete
 	find external_functions -type l -exec rm {} \;
 	[ ! -f gksm2ps/Makefile ] || $(MAKE) -C gksm2ps clean
 	[ ! -f fer/platform_specific_flags.mk.debian ]  || $(MAKE) -C fer clean HOSTTYPE=debian

## ferret-vis 7.1

=== debian/changelog ===
ferret-vis (7.1-1build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 18:00:53 +0000

ferret-vis (7.1-1) unstable; urgency=medium

  * New upstream release
  * Ship palettes, which have moved from datasets/. Thanks to Marco van Hulten
    for bug report
  * Silence warning in ferret.el install 'ln -s' -> 'ln -sf'
  * ferret_paths was accidentally created as a directory by install script
  * Standards-Version: 4.0.0; no changes required
  * DH_COMPAT=10

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Jun 2017 10:58:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: utils
 Priority: extra
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), libreadline-dev, 
+Build-Depends: debhelper (>= 10), libreadline-dev, 
  libcurl4-openssl-dev | libcurl-dev, 
  libxgks-dev (>= 2.6.1+dfsg.2-4) , 
  libncurses-dev, gfortran, libnetcdf-dev, libnetcdff-dev,
  libxmu-headers, csh, libxpm-dev, libxt-dev, 
  java-common, default-jdk-headless
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.ferret.noaa.gov/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/ferret-vis.git
